RDS-AUTHORIZE-DB-SECURITY-GROUP-INGRESS(1)

NAME
rds-authorize-db-security-group-ingress - Authorize ingress traffic to be subject to a security group definition

SYNOPSIS

 rds-authorize-db-security-group-ingress
     DBSecurityGroupName [--cidr-ip value ] [--ec2-security-group-id value
    ] [--ec2-security-group-name value ] [--ec2-security-group-owner-id
    value ] [General Options]

DESCRIPTION

    Authorizes DB ingress traffic to be subject to a security group definition.

ARGUMENTS

 DBSecurityGroupName
    The name of the database security group. You can also set this value
    using "--db-security-group-name". Required.

 SECURITY GROUP OPTIONS
 -g, --ec2-security-group-name VALUE
    The name of the EC2 security group.

 -i, --cidr-ip VALUE
    The IP Range. Format: ddd.ddd.ddd.ddd/dd.

 -o, --ec2-security-group-owner-id VALUE
    AWS Account Number for the owner of the EC2 security group. Note that
    this is the Account Number, not the AWS Access ID.

 -s, --ec2-security-group-id VALUE
    No description available for this parameter.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 Authorize access to an EC2 security group

 $PROMPT>rds-authorize-db-security-group-ingress Default --ec2-security-group-name mainServerGrp --ec2-security-group-owner-id 123445677890

 Authorize access to an EC2 security group

 $PROMPT>rds-authorize-db-security-group-ingress Default --ec2-security-group-id sg-0a5d8e02 --ec2-security-group-owner-id 123445677890

 Authorize access to a VPC security group

 $PROMPT>rds-authorize-db-security-group-ingress default:vpc-1a2b3c4d --ec2-security-group-id sg-8e020a5d

 Authorize access to an IP range

 $PROMPT>rds-authorize-db-security-group-ingress Default --cidr-ip 192.168.100.100/0

OUTPUT

 This command returns a table that contains the following:
 * Name - Security Group name.
 * Description - Security Group description.
 * VpcId - Id of EC2 Vpc which the security group belongs to.
 * EC2 Group Name - EC2 Security Group name.
 * EC2 Group Id - EC2 Security Group id.
 * EC2 Owner Id - EC2 Security Group owner.
 * Status - Status of authorization.
 * IP Range - Security Group name.
 * Status - Status of authorization.

OUTPUT EXAMPLES

 Short output for Security Groups with headers displayed

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference